
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

/* 
 * cloneType.h:     La SDI_F de clone
 *
 * Utilise par le module et par les clients
 * (inclut dans cloneMsgLib.h et clonePosterLib.h)
 * 
 */

#ifndef clone_TYPE_H
#define clone_TYPE_H

#include "genom/modules.h"
#include "cloneError.h"

/* Nombre de tache d'execution de ce module */
#define CLONE_NB_EXEC_TASK                   (2)


#endif
#ifndef clone_TYPE1_H
#define clone_TYPE1_H

#include "/opt/openrobots/include/genBasic/genBasicStruct.h"
#include "/opt/openrobots/include/pom/pomStruct.h"
#include "cloneStruct.h"

/*
 * Structure de donnees interne
 */
typedef struct CLONE_STR {
	CLONE_INIT initParams;
	CLONE_BOOL cloneThreadOn;
	CLONE_STATE cloneState;
	CLONE_BOOL hideWindow;
	CLONE_WINDOW_PARAMS windowParams;
	CLONE_WINDOW_SIZES windowSizeInit;
	CLONE_PLAY_FILE_PARAMS playFileParams;
	CLONE_LOOK_AT lookAt;
	CLONE_LOOK_AT_POINT headLookAt;
	CLONE_LOOK_AT_POINT eyesLookAt;
	CLONE_LOOK_AT_POINT headAndEyesLookAt;
	CLONE_TRACK track;
	int playRefParams;
	unsigned long int timeEnd;
	CLONE_SENTENCE sentence;
	CLONE_SPEECH_OBJ speechObj;
	GEN_STRING256 speechObjName;
	CLONE_POS_CORR lookCorrection;
	int motionDuration;
	CLONE_STEREOTYPE stereotype;
	CLONE_PLAY_FILE_PARAMS PlayFileInput[20];
	int PlayRefInput[20];
} CLONE_STR;


#endif

